Subject: Re: [PATCH] gettimeofday stability

From: Dan Malek <[email-masked]>
Date: Mon, 16 Apr 2001 18:19:39 -0400

Iain Sandoe wrote:
>
> > I still object strongly to anything touching the timebase, however.
>
> I'd prefer if it wasn't touched too...

As I recall, "touching" the TB simply means reading it and computing
elapsed ticks since the last read.  I don't remember anything changing
the value in the timebase registers (which isn't possible outside
of the kernel).

I regularly use the TB for user application event timing, and
haven't seen anything abnormal (other than the code I was testing :-).

	-- Dan

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/